Package ghidra.features.base.codecompare.panel

# Class DataComparisonData

java.lang.Object
ghidra.features.base.codecompare.panel.DataComparisonData

All Implemented Interfaces:
  `ComparisonData`

public class DataComparisonData extends Object implements ComparisonData
ComparisonData for a Data object

- ## Field Summary

  ### Fields inherited from interface ghidra.features.base.codecompare.panel.ComparisonData

  `EMPTY, FG_COLOR_TITLE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataComparisonData(Data data, int otherLength)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AddressSetView`
  `getAddressSet()`
  Returns the set of addresses being compared.
  `String`
  `getDescription()`
  Returns a description of the data being compared.
  `Function`
  `getFunction()`
  Returns the function being compared or null if this comparison data is not function based.
  `ProgramLocation`
  `getInitialLocation()`
  Returns the initial program location to put the cursor when the panel is first displayed
  `Program`
  `getProgram()`
  Returns the program containing the data being compared.
  `String`
  `getShortDescription()`
  Returns a short description (useful for tab name)
  `boolean`
  `isEmpty()`
  Returns true if this comparison has no addresses to compare

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DataComparisonData

    public DataComparisonData(Data data, int otherLength)

- ## Method Details

  - ### getAddressSet

    public AddressSetView getAddressSet()
    Description copied from interface: `ComparisonData`
    Returns the set of addresses being compared. Currently, all comparisons are address based, so this should never be null.
    Specified by:
      `getAddressSet` in interface `ComparisonData`
    Returns:
      the set of addresses being compared

  - ### getProgram

    public Program getProgram()
    Description copied from interface: `ComparisonData`
    Returns the program containing the data being compared.
    Specified by:
      `getProgram` in interface `ComparisonData`
    Returns:
      the program containing the data being compared.

  - ### getFunction

    public Function getFunction()
    Description copied from interface: `ComparisonData`
    Returns the function being compared or null if this comparison data is not function based.
    Specified by:
      `getFunction` in interface `ComparisonData`
    Returns:
      the function being compared or null if this comparison data is not function based

  - ### isEmpty

    public boolean isEmpty()
    Description copied from interface: `ComparisonData`
    Returns true if this comparison has no addresses to compare
    Specified by:
      `isEmpty` in interface `ComparisonData`
    Returns:
      true if this comparison has no addresses to compare

  - ### getShortDescription

    public String getShortDescription()
    Description copied from interface: `ComparisonData`
    Returns a short description (useful for tab name)
    Specified by:
      `getShortDescription` in interface `ComparisonData`
    Returns:
      a short description

  - ### getDescription

    public String getDescription()
    Description copied from interface: `ComparisonData`
    Returns a description of the data being compared.
    Specified by:
      `getDescription` in interface `ComparisonData`
    Returns:
      a description of the data being compared.

  - ### getInitialLocation

    public ProgramLocation getInitialLocation()
    Description copied from interface: `ComparisonData`
    Returns the initial program location to put the cursor when the panel is first displayed
    Specified by:
      `getInitialLocation` in interface `ComparisonData`
    Returns:
      the location